package com.zhyc.module.produce.other.mapper;

import java.util.List;

import com.zhyc.module.produce.other.domain.ScCastrate;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 去势Mapper接口
 * 
 * @author ruoyi
 * @date 2025-07-09
 */
@Mapper
public interface ScCastrateMapper 
{
    /**
     * 查询去势
     * 
     * @param id 去势主键
     * @return 去势
     */
    public ScCastrate selectScCastrateById(Long id);

    /**
     * 查询去势列表
     * 
     * @param scCastrate 去势
     * @return 去势集合
     */
    public List<ScCastrate> selectScCastrateList(ScCastrate scCastrate);

    /**
     * 新增去势
     * 
     * @param scCastrate 去势
     * @return 结果
     */
    public int insertScCastrate(ScCastrate scCastrate);

    /**
     * 修改去势
     * 
     * @param scCastrate 去势
     * @return 结果
     */
    public int updateScCastrate(ScCastrate scCastrate);

    /**
     * 删除去势
     * 
     * @param id 去势主键
     * @return 结果
     */
    public int deleteScCastrateById(Long id);

    /**
     * 批量删除去势
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteScCastrateByIds(Long[] ids);

    /**
     * 模糊搜索耳号
     */
    List<String> searchEarNumbers(@Param("query") String query);

    /* 列表查询支持多耳号模糊 */
    List<ScCastrate> selectScCastrateList(
            @Param("sc") ScCastrate sc,
            @Param("manageTagsList") List<String> manageTagsList);
}
